[Pkg-cyrus-sasl2-commits] r331 - in /cyrus-sasl-2.1/branches/heimdal/debian: changelog repack.sh watch
roberto at users.alioth.debian.org
roberto at users.alioth.debian.org
Mon Mar 10 01:59:35 UTC 2008
Author: roberto
Date: Mon Mar 10 01:59:35 2008
New Revision: 331
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/?sc=1&rev=331
Log:
* debian/repack.sh: Automate repackaging of DFSG-compliant tarball
Added:
cyrus-sasl-2.1/branches/heimdal/debian/repack.sh (with props)
Modified:
cyrus-sasl-2.1/branches/heimdal/debian/changelog
cyrus-sasl-2.1/branches/heimdal/debian/watch
Modified: cyrus-sasl-2.1/branches/heimdal/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/branches/heimdal/debian/changelog?rev=331&op=diff
==============================================================================
--- cyrus-sasl-2.1/branches/heimdal/debian/changelog (original)
+++ cyrus-sasl-2.1/branches/heimdal/debian/changelog Mon Mar 10 01:59:35 2008
@@ -1,8 +1,9 @@
cyrus-sasl2-heimdal (2.1.22.dfsg1-19) UNRELEASED; urgency=low
- * NOT RELEASED YET
-
- -- Fabian Fagerholm <fabbe at debian.org> Mon, 18 Feb 2008 17:57:24 +0200
+ [ Roberto C. Sanchez ]
+ * debian/repack.sh: Automate repackaging of DFSG-compliant tarball
+
+ -- Roberto C. Sanchez <roberto at connexer.com> Sun, 09 Mar 2008 21:57:13 -0400
cyrus-sasl2-heimdal (2.1.22.dfsg1-18) unstable; urgency=low
Added: cyrus-sasl-2.1/branches/heimdal/debian/repack.sh
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/branches/heimdal/debian/repack.sh?rev=331&op=file
==============================================================================
--- cyrus-sasl-2.1/branches/heimdal/debian/repack.sh (added)
+++ cyrus-sasl-2.1/branches/heimdal/debian/repack.sh Mon Mar 10 01:59:35 2008
@@ -1,0 +1,40 @@
+#!/bin/sh
+# Repackage upstream source to exclude non-distributable files
+# should be called as "repack sh --upstream-source <ver> <downloaded file>
+# (for example, via uscan)
+
+set -e
+set -u
+
+FILE=$3
+PKG=`dpkg-parsechangelog|grep ^Source:|sed 's/^Source: //'`
+VER=`dpkg-parsechangelog|grep ^Version:|sed 's/^Version: //; s/.dfsg1-[^-]\+$//'`
+
+printf "\nRepackaging $FILE\n"
+
+DIR=`mktemp -d ./tmpRepackXXXXXX`
+trap "rm -rf $DIR" QUIT INT EXIT
+
+tar xzf $FILE -C $DIR
+
+REPACK=`basename $FILE`
+
+UP_DIR=`ls -1 $DIR`
+
+(
+ set -e
+ set -u
+
+ cd $DIR
+
+ rm -v $UP_DIR/doc/draft*
+ rm -v $UP_DIR/doc/rfc*
+
+ REPACK_DIR="$PKG-$VER.orig"
+ mv $UP_DIR $REPACK_DIR
+ tar -c $REPACK_DIR | gzip -9 > $REPACK
+)
+
+mv $DIR/$REPACK $FILE
+
+echo "*** $FILE repackaged"
Propchange: cyrus-sasl-2.1/branches/heimdal/debian/repack.sh
------------------------------------------------------------------------------
svn:executable = *
Modified: cyrus-sasl-2.1/branches/heimdal/debian/watch
URL: http://svn.debian.org/wsvn/pkg-cyrus-sasl2/cyrus-sasl-2.1/branches/heimdal/debian/watch?rev=331&op=diff
==============================================================================
--- cyrus-sasl-2.1/branches/heimdal/debian/watch (original)
+++ cyrus-sasl-2.1/branches/heimdal/debian/watch Mon Mar 10 01:59:35 2008
@@ -1,6 +1,4 @@
-# Compulsory line, this is a version 3 file
version=3
-# Uncommment to examine a FTP server
-http://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-(.*)\.tar\.gz debian uupdate
+opts="uversionmangle=s/(?=$)/.dfsg1/" http://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-(.*)\.tar\.gz debian debian/repack.sh
More information about the Pkg-cyrus-sasl2-commits
mailing list